This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 188231 - Error inserting p4_clockmod
Error inserting p4_clockmod
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-07 06:09 EDT by Pat Gardner
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 01:55:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Gardner 2006-04-07 06:09:03 EDT
Description of problem:

Unable to load the p4_clockmod kernel module

Version-Release number of selected component (if applicable):

Linux poseidon 2.6.16-1.2080_FC5 #1 Tue Mar 28 03:38:34 EST 2006 i686 i686 i386
GNU/Linux

How reproducible:

Always

Steps to Reproduce:
1. modprobe p4_clockmod
  
Actual results:

FATAL: Error inserting p4_clockmod
(/lib/modules/2.6.16-1.2080_FC5/kernel/arch/i386/kernel/cpu/cpufreq/p4-clockmod.ko):
No such device


Expected results:

Modprobe loads the p4_clockmod kernel module.

Additional info:

Loading the p4_clockmod kernel module worked successfully on FC4 before an
upgrade to FC5 (ie 2.6.15-1.1833_FC4-i686).

[root@poseidon kernels]# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 2.80GHz
stepping        : 9
cpu MHz         : 2800.545
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 5609.38
Comment 1 Dave Jones 2006-10-16 20:03:04 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Pat Gardner 2006-10-19 16:05:42 EDT
The p4_clockmod module now loads with more recent kernels, although with 
limited functionality. See https://bugzilla.redhat.com/bugzilla/
show_bug.cgi?id=192201
Comment 3 Dave Jones 2006-11-12 01:55:08 EST
I'll work on that bug for the next update.

Note You need to log in before you can comment on or make changes to this bug.